<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven Java Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <author email="kschrader@karmalab.org">Kurt Schrader</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>java:prepare-filesystem</td>
          <td>
            Creates the directories necessary for compilation
          </td>
        </tr>
        <tr>
          <td>java:compile</td>
          <td>
            <p>
              Compiles the Java source code for the project
            </p>
            <p>
              The source code directory is specified in the 
              <a href="http://maven.apache.org/reference/project-descriptor.html#build">build</a>
              element of your <code>project.xml</code>
              file.
            </p>
          </td>
        </tr>
        <tr>
          <td>java:jar-resources</td>
          <td>
            <p>
              Copies any resources that must be present in the deployed JAR
              file, from the directory specified by 
              <a href="properties.html">maven.jarResources.basedir</a> to the
              build directory, where class files are stored.
            </p>
            <p>
              The <a href="properties.html">maven.jar.resources.set</a>
              property is used to determine which files from the base directory
              are included
            </p>
          </td>
        </tr>
        <tr>
          <td>java:jar</td>
          <td>
            Deprecated. You must use jar:jar goal.
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
